# Uses of Class
java.security.UnrecoverableEntryException

Packages that use UnrecoverableEntryException
Package
Description
java.security
Provides the classes and interfaces for the security framework.

## Uses of UnrecoverableEntryException in java.security

Subclasses of UnrecoverableEntryException in java.security
Modifier and Type
Class
Description
`class`
`UnrecoverableKeyException`
This exception is thrown if a key in the keystore cannot be recovered.
Methods in java.security that throw UnrecoverableEntryException
Modifier and Type
Method
Description
`KeyStore.Entry`
KeyStoreSpi.`engineGetEntry(String alias, KeyStore.ProtectionParameter protParam)`
Gets a `KeyStore.Entry` for the specified alias with the specified protection parameter.
`final KeyStore.Entry`
KeyStore.`getEntry(String alias, KeyStore.ProtectionParameter protParam)`
Gets a keystore `Entry` for the specified alias with the specified protection parameter.